Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Juri Linkov <[email-masked]>
Date: Tue, 28 Sep 2021 22:01:03 +0300

> When clicking on a misspelled word while context-menu-mode is active,
> I'd expect the context menu to appear, but it seems like flyspell
> prevents this.

It was a bug caused by recent changes that is fixed now.

> Asides from preventing this inconsistency, it seems like it would be
> better to integrate flyspell into context-menu, to suggest corrections.

Adapting flyspell.el to context-menu is a welcome change that requires
refactoring `flyspell-correct-word' and related functions to return
a keymap menu where every menu item is bound to a lambda that calls
`flyspell-do-correct' with an argument that is a correct word.